<html>
    <head>
        <link href="keks.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <div class="backdrop">
            <div class="top">
                <h1 title="River Fall RP">River Fall RP</h1>
                <h2 title="RP Mode">RP Mode</h2>
            </div>

            <div class="letni">
			<h2 title="Stand by while we Initiate RP Mode !">Stand by while we Initiate RP Mode !</h2>
                <h3></h3>
				<div></div>
				<div></div>
                <div class="loadbar"><div class="thingy"></div></div>
				<div></div>
				<div></div>
				<div></div>
				<div></div>
                <p>We are hiring for Police, Ambulance, Mechanics and much more so come and apply at Mission Row PD.</p>
            </div>
            <div class="bottom">
                <div id="gradient">
                </div>
            </div>
        </div>

<script type="text/javascript">
// this will actually restart the loading bar a lot, making multiple loading bars is an exercise to the reader... for now.
// for a set of possible events, see https://github.com/citizenfx/fivem/blob/master/code/components/loading-screens-five/src/LoadingScreens.cpp
var count = 0;
var thisCount = 0;

const handlers = {
    
    initFunctionInvoking(data)
    {
        document.querySelector('.thingy').style.left = '0%';
        document.querySelector('.thingy').style.width = ((data.idx / count) * 100) + '%';
    },

    startDataFileEntries(data)
    {
        count = data.count;

        document.querySelector('.letni h3').innerHTML += "";
    },

    performMapLoadFunction(data)
    {
        ++thisCount;

        document.querySelector('.thingy').style.left = '0%';
        document.querySelector('.thingy').style.width = ((thisCount / count) * 100) + '%';
    },

    onLogLine(data)
    {
        document.querySelector('.letni p').innerHTML = data.message + "..!";
    }
};

window.addEventListener('message', function(e)
{
    (handlers[e.data.eventName] || function() {})(e.data);
});
</script>
    </body>
</html>
